svn commit: r359061 - svnadmin/hooks/scripts
Antoine Brodin
antoine at FreeBSD.org
Tue Jun 24 08:42:38 UTC 2014
Author: antoine
Date: Tue Jun 24 08:42:37 2014
New Revision: 359061
URL: http://svnweb.freebsd.org/changeset/ports/359061
QAT: https://qat.redports.org/buildarchive/r359061/
Log:
Prevent committing ports with obsolete NOPORT*
Phabric: D277
Reviewed by: mat
With hat: portmgr
Modified:
svnadmin/hooks/scripts/stage-only.sh
Modified: svnadmin/hooks/scripts/stage-only.sh
==============================================================================
--- svnadmin/hooks/scripts/stage-only.sh Tue Jun 24 08:18:35 2014 (r359060)
+++ svnadmin/hooks/scripts/stage-only.sh Tue Jun 24 08:42:37 2014 (r359061)
@@ -23,6 +23,24 @@ for line in $(svnlook changed -t $TXN $R
echo "https://wiki.freebsd.org/ports/StageDir" 1>&2
exit 1
fi
+ if svnlook cat -t ${TXN} ${REPO} $fpath | grep -qE "if.*def.*(NOPORTDOCS|NOPORTEXAMPLES)" ; then
+ echo "Do not commit ports with NOPORTDOCS or NOPORTEXAMPLES." 1>&2
+ echo "The port must be converted to proper OPTIONS. See" 1>&2
+ echo "http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-options.html" 1>&2
+ exit 1
+ fi
+ if svnlook cat -t ${TXN} ${REPO} $fpath | grep -q "if.*def.*NOPORTDATA" ; then
+ echo "Do not commit ports with NOPORTDATA." 1>&2
+ echo "NOPORTDATA is nonsense as a variable affecting all ports." 1>&2
+ exit 1
+ fi
+ ;;
+ head/*/*/pkg-plist*)
+ if svnlook cat -t ${TXN} ${REPO} $fpath | grep -q "%%PORTDATA%%" ; then
+ echo "Do not commit ports with %%PORTDATA%%." 1>&2
+ echo "NOPORTDATA is nonsense as a variable affecting all ports." 1>&2
+ exit 1
+ fi
;;
esac
done
More information about the svn-ports-all
mailing list